@tool
extends Node

signal translations_read


var keys: Dictionary = {}


func _ready() -> void:
	if not Engine.is_editor_hint():
		queue_free()
		return
	read_translations()



func read_translations() -> void:
	keys.clear()

	var file: FileAccess = FileAccess.open("res://translation.csv", FileAccess.READ)
	while not file.eof_reached():
		var line: PackedStringArray = file.get_csv_line()

		if len(line) < 2:
			continue

		keys[line[0]] = line[1]

	file.close()
	translations_read.emit()
